Skip to main content
GET
/
api
/
v1
/
money
/
accounts
/
cash
/
{accountId}
Get cash account by id
curl --request GET \
  --url https://public-api.etoro.com/api/v1/money/accounts/cash/{accountId} \
  --header 'x-api-key: <x-api-key>' \
  --header 'x-request-id: <x-request-id>' \
  --header 'x-user-key: <x-user-key>'
{
  "id": "f0995efc-25a1-465e-bec3-d309aaf00ede",
  "currency": "GBP",
  "status": "Active",
  "bankAccount": {
    "id": "0f5270fe-200a-4c35-b788-bda212973fa2",
    "accountName": "John Doe",
    "identifiers": [
      {
        "type": "bankAccountNumber",
        "value": "11549380"
      },
      {
        "type": "ncc",
        "value": "041335"
      },
      {
        "type": "iban",
        "value": "GB08MRMI04133511549380"
      },
      {
        "type": "bic",
        "value": "MRMIGB22XXX"
      }
    ],
    "region": "UK",
    "countryCode": "GB",
    "bankProvider": "ClearBank",
    "institutionName": "ClearBank"
  },
  "cards": [
    {
      "id": "7f446164-57d8-4b87-9f0f-958083c7f459",
      "status": "Activated",
      "maskedPan": "459688******0196",
      "isVirtual": false,
      "name": "John Doe",
      "created": "2026-04-27T12:40:55.7766667",
      "expirationDate": "2029-04-30T23:59:59"
    }
  ]
}

Headers

x-request-id
string<uuid>
required

A unique request identifier.

Example:

"8938ae0d-7e00-4912-9090-3a43e107ace9"

x-api-key
string<password>
required

API key for authentication.

Example:

"lhgfaslk21490FAScVPkdsb53F9dNkfHG4faZSG5vfjndfcfgdssdgsdHF4663"

x-user-key
string<password>
required

User-specific authentication key.

Example:

"eyJlYW4iOiJVbnJlZ2lzdGVyZWRBcHBsaWNhdGlvbiIsImVrIjoiOE5sZ2cwcW5EUVdROUFNWGpXT2lmOWktZnpidG5KcUlqWGJ3WHJZZkpZcldrbG90ZEhvLVBjSWhQaU8xU1ZtMW84aU1WZGZqN2xWNzFjLXFxLmcybXE1dnh4Q1hUT25xaWRUaTFlcEhmVk1fIn0_"

Path Parameters

accountId
string<uuid>
required

Must equal CashAccount.id from the list endpoint.

Response

One cash account (same schema as list item)

A single cash account with bank details and cards (account type is implied by the cash-accounts API surface)

id
string<uuid>
required

Unique identifier of the cash account

Example:

"b2c3d4e5-f6a7-8901-bcde-f12345678901"

currency
string
required

ISO 4217 currency code (e.g. GBP, EUR, AUD, DKK)

Example:

"GBP"

status
enum<string>

Cash account status

Available options:
Active,
ReceiveOnly,
SpendOnly,
Suspended,
Blocked
Example:

"Active"

bankAccount
object

Bank account linked to this cash account

cards
object[]

Payment cards linked to this cash account